#include <iostream>
#include <cstdint>

using namespace std;

bool smaller(int x);

int find_number(int MAX) {
    int left = 1;
    int right = MAX;
    for (int mid = (left + right) / 2; left != right; mid = (left + right) / 2) {
        if (smaller(mid)) {
            right = mid;
        }
        else {
            if (left == mid) {
                return left;
            }
            left = mid;
        }
    }
    return left;
}